/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks of the OX Software GmbH group of companies.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2016-2020 OX Software GmbH
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.openexchange.guard.guest.impl;

import java.util.Arrays;
import java.util.Collection;
import com.openexchange.exception.OXException;
import com.openexchange.groupware.modules.Module;
import com.openexchange.share.ShareTarget;
import com.openexchange.share.ShareTargetPath;
import com.openexchange.share.groupware.TargetProxy;
import com.openexchange.share.groupware.spi.FolderHandlerModuleExtension;

/**
 * {@link GuardGuestFolderHandlerModuleExt}
 *
 * @author <a href="mailto:greg.hill@open-xchange.com">Greg Hill</a>
 * @since v2.10.0
 */
public class GuardGuestFolderHandlerModuleExt implements FolderHandlerModuleExtension {

    /* (non-Javadoc)
     * @see com.openexchange.share.groupware.spi.ModuleExtension#getModules()
     */
    @Override
    public Collection<String> getModules() {
        return Arrays.asList(Module.MAIL.getName());
    }

    /* (non-Javadoc)
     * @see com.openexchange.share.groupware.spi.FolderHandlerModuleExtension#isApplicableFor(int, java.lang.String)
     */
    @Override
    public boolean isApplicableFor(int contextId, String folder) {
        // TODO Auto-generated method stub
        return true;
    }

    /* (non-Javadoc)
     * @see com.openexchange.share.groupware.spi.FolderHandlerModuleExtension#isVisible(java.lang.String, java.lang.String, int, int)
     */
    @Override
    public boolean isVisible(String folder, String item, int contextID, int guestID) throws OXException {
        // TODO Auto-generated method stub
        return true;
    }

    /* (non-Javadoc)
     * @see com.openexchange.share.groupware.spi.FolderHandlerModuleExtension#exists(java.lang.String, java.lang.String, int, int)
     */
    @Override
    public boolean exists(String folder, String item, int contextID, int guestID) throws OXException {
        // TODO Auto-generated method stub
        return true;
    }

    /* (non-Javadoc)
     * @see com.openexchange.share.groupware.spi.FolderHandlerModuleExtension#resolveTarget(com.openexchange.share.ShareTargetPath, int, int)
     */
    @Override
    public TargetProxy resolveTarget(ShareTargetPath targetPath, int contextId, int guestId) throws OXException {
        // TODO Auto-generated method stub
        return new GuardMailTargetProxy(targetPath);
    }

    /* (non-Javadoc)
     * @see com.openexchange.share.groupware.spi.FolderHandlerModuleExtension#resolveTarget(com.openexchange.share.ShareTarget, int)
     */
    @Override
    public TargetProxy resolveTarget(ShareTarget folderTarget, int contextId) throws OXException {
        // TODO Auto-generated method stub
        return new GuardMailTargetProxy(folderTarget);
    }

}
