/*
 *
 *    OPEN-XCHANGE legal information
 *
 *    All intellectual property rights in the Software are protected by
 *    international copyright laws.
 *
 *
 *    In some countries OX, OX Open-Xchange, open xchange and OXtender
 *    as well as the corresponding Logos OX Open-Xchange and OX are registered
 *    trademarks of the OX Software GmbH group of companies.
 *    The use of the Logos is not covered by the GNU General Public License.
 *    Instead, you are allowed to use these Logos according to the terms and
 *    conditions of the Creative Commons License, Version 2.5, Attribution,
 *    Non-commercial, ShareAlike, and the interpretation of the term
 *    Non-commercial applicable to the aforementioned license is published
 *    on the web site http://www.open-xchange.com/EN/legal/index.html.
 *
 *    Please make sure that third-party modules and libraries are used
 *    according to their respective licenses.
 *
 *    Any modifications to this package must retain all copyright notices
 *    of the original copyright holder(s) for the original code used.
 *
 *    After any such modifications, the original and derivative code shall remain
 *    under the copyright of the copyright holder(s) and/or original author(s)per
 *    the Attribution and Assignment Agreement that can be located at
 *    http://www.open-xchange.com/EN/developer/. The contributing author shall be
 *    given Attribution for the derivative code and a license granting use.
 *
 *     Copyright (C) 2016-2020 OX Software GmbH
 *     Mail: info@open-xchange.com
 *
 *
 *     This program is free software; you can redistribute it and/or modify it
 *     under the terms of the GNU General Public License, Version 2 as published
 *     by the Free Software Foundation.
 *
 *     This program is distributed in the hope that it will be useful, but
 *     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 *     for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc., 59
 *     Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.openexchange.guard.session;

import java.util.Map;
import com.openexchange.exception.OXException;
import com.openexchange.session.Session;
import com.openexchange.sessiond.event.SessiondEventListener;

/**
 * {@link SessionEventHandler}
 *
 * @author <a href="mailto:greg.hill@open-xchange.com">Greg Hill</a>
 * @since v2.10.0
 */
public class SessionEventHandler implements SessiondEventListener {

    private static org.slf4j.Logger logger = org.slf4j.LoggerFactory.getLogger(SessionEventHandler.class);

    /* (non-Javadoc)
     * @see com.openexchange.sessiond.event.SessiondEventListener#handleSessionRemoval(com.openexchange.session.Session)
     */
    @Override
    public void handleSessionRemoval(Session session) {

        try {
            new SessionNotifier().deleteSession(session);
        } catch (OXException e) {
            logger.error("Failure to delete Guard session ", e);
        }

    }

    /* (non-Javadoc)
     * @see com.openexchange.sessiond.event.SessiondEventListener#handleContainerRemoval(java.util.Map)
     */
    @Override
    public void handleContainerRemoval(Map<String, Session> sessions) {
        // TODO Auto-generated method stub

    }

    /* (non-Javadoc)
     * @see com.openexchange.sessiond.event.SessiondEventListener#handleError(com.openexchange.exception.OXException)
     */
    @Override
    public void handleError(OXException error) {
        // TODO Auto-generated method stub

    }

    /* (non-Javadoc)
     * @see com.openexchange.sessiond.event.SessiondEventListener#handleSessionDataRemoval(java.util.Map)
     */
    @Override
    public void handleSessionDataRemoval(Map<String, Session> sessions) {
        // TODO Auto-generated method stub

    }

    /* (non-Javadoc)
     * @see com.openexchange.sessiond.event.SessiondEventListener#handleSessionReactivation(com.openexchange.session.Session)
     */
    @Override
    public void handleSessionReactivation(Session session) {
        // TODO Auto-generated method stub

    }

}
